Name:           pyzo
Version:        4.12.0
%define subrel 1
Release:        %mkrel 2
Summary:        Cross-platform Python IDE focused on interactivity and introspection
License:        BSD
Group:          Development/Python
URL:            https://www.pyzo.org
Source0:        https://github.com/pyzo/pyzo/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         pyzo-4.10.0-fix-data_files.patch

BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

Requires:       fonts-ttf-dejavu
Requires:       python3-pkg-resources
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-help
Requires:       python3-qt5-network
Requires:       python3-qt5-printsupport
Requires:       python3-qt5-widgets
Requires:       python3-pyside2-core
Requires:       python3-pyside2-gui
Requires:       python3-pyside2-help
Requires:       python3-pyside2-network
Requires:       python3-pyside2-printsupport
Requires:       python3-pyside2-widgets

# iep was renamed to pyzo
Obsoletes:      iep < 3.8-1
Provides:       iep = %{version}-%{release}

%description
Pyzo is a cross-platform Python IDE focused on interactivity and
introspection, which makes it very suitable for scientific computing.
Its practical design is aimed at simplicity and efficiency.

It consists of two main components, the editor and the shell, and
uses a set of pluggable tools to help the programmer in various ways.
Some example tools are source structure, project manager,
interactive help and workspace.

#---------------------------------------------------------------------------

%prep
%autosetup -p1

# Removed bundled DejaVu fonts
# TODO: Unbundle SourceCodePro fonts
rm -rf pyzo/resources/fonts/DejaVu*.ttf

%build
%py3_build

%install
%py3_install

sed -i pyzo/resources/pyzo.desktop -e 's/pyzologo/%{name}/g'
install -D pyzo/resources/pyzo.desktop \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

for size in 16 32 48 64 128 256; do
  install -D -m644 pyzo/resources/appicons/pyzologo${size}.png \
    %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%files
%doc README.md
%license LICENSE.md
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{name}
%{_bindir}/pyzolauncher.py
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Feb 13 2025 daviddavid <daviddavid> 4.12.0-2.1.mga9
+ Revision: 2148498
- stop using old python3-sip (mga#34014)

* Wed Mar 23 2022 umeabot <umeabot> 4.12.0-2.mga9
+ Revision: 1823039
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 4.12.0-1.mga9
+ Revision: 1779173
- Version 4.12.0

* Thu Feb 17 2022 tv <tv> 4.11.2-3.mga9
+ Revision: 1778551
- Rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 4.11.2-2.mga9
+ Revision: 1716969
- rebuild for python 3.9

* Mon Nov 23 2020 akien <akien> 4.11.2-1.mga8
+ Revision: 1648835
- Version 4.11.2

* Tue Nov 03 2020 akien <akien> 4.11.0-1.mga8
+ Revision: 1642236
- Version 4.11.0

* Thu Feb 20 2020 umeabot <umeabot> 4.10.0-2.mga8
+ Revision: 1547378
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 4.10.0-1.mga8
+ Revision: 1488074
- new version: 4.10.0

* Sun Oct 13 2019 daviddavid <daviddavid> 4.9.0-1.mga8
+ Revision: 1452776
- new version: 4.9.0
- add missing dependency on python3-pkg-resources (mga#25559)
- split out all PyQt5 dependencies

* Tue Sep 17 2019 daviddavid <daviddavid> 4.7.3-2.mga8
+ Revision: 1442811
- rebuild for python3.8

* Fri Apr 26 2019 akien <akien> 4.7.3-1.mga7
+ Revision: 1395470
- Version 4.7.3

* Tue Jan 08 2019 tv <tv> 4.6.1-2.mga7
+ Revision: 1351851
- rebuild with python 3.7

* Wed Dec 12 2018 akien <akien> 4.6.1-1.mga7
+ Revision: 1340459
- Version 4.6.1
- Set default Qt backend to python3-qt5

* Fri Sep 21 2018 umeabot <umeabot> 4.4.3-2.mga7
+ Revision: 1290592
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 akien <akien> 4.4.3-1.mga7
+ Revision: 1187744
- Version 4.4.3

* Sat Aug 05 2017 pterjan <pterjan> 4.4.1-2.mga7
+ Revision: 1135706
- Rebuild for python 3.6

* Mon Jul 17 2017 akien <akien> 4.4.1-1.mga7
+ Revision: 1124257
- Version 4.4.1

* Sat Jul 01 2017 akien <akien> 4.4-1.mga6
+ Revision: 1108796
- Version 4.4

* Sun Jan 22 2017 akien <akien> 4.3.1-1.mga6
+ Revision: 1082939
- Obsolete iep
- Pyzo 4.3.1, renamed from IEP
- Rename IEP to Pyzo after Pyzo+IEP merger

* Mon Jun 27 2016 akien <akien> 3.7-5.mga6
+ Revision: 1037845
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 3.7-4.mga6
+ Revision: 1037536
- Rebuild for python-sip 4.18

* Fri Feb 19 2016 umeabot <umeabot> 3.7-3.mga6
+ Revision: 970718
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 3.7-2.mga6
+ Revision: 887730
- rebuild for python 3.5

* Mon Sep 21 2015 akien <akien> 3.7-1.mga6
+ Revision: 882139
- Version 3.7

* Tue Jan 13 2015 akien <akien> 3.5-2.mga5
+ Revision: 810452
- Add python3-sip dependency

* Mon Jan 12 2015 akien <akien> 3.5-1.mga5
+ Revision: 810045
- Version 3.5 (synced with Fedora)
- Package icons, desktop files and launcher script
- Remove bundled DejaVu fonts
- imported package iep

